## org.apache.lucene.util
Class Bits.MatchAllBits

    java.lang.Object
      org.apache.lucene.util.Bits.MatchAllBits

All Implemented Interfaces:
  Bits

Enclosing interface:
  Bits

    public static class Bits.MatchAllBits

extends Object
implements Bits

Bits impl of the specified length with all bits set.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.util.Bits
`Bits.MatchAllBits, Bits.MatchNoBits`

Field Summary

Fields inherited from interface org.apache.lucene.util.Bits
`EMPTY_ARRAY`

Constructor Summary
`Bits.MatchAllBits(int len)`

Method Summary
`boolean` `get(int index)`
`int` `length()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bits.MatchAllBits

    public Bits.MatchAllBits(int len)

Method Detail

### get

    public boolean get(int index)

  Specified by:
    `get` in interface `Bits`

### length

    public int length()

  Specified by:
    `length` in interface `Bits`